{ lib, ... }:

let
  nomarchyLib = import ../../lib { inherit lib; };
  systemState = nomarchyLib.readSystemState;
in
{
  config.nomarchy.system = {
    dns = systemState.dns or "DHCP";
    customDns = systemState.customDns or [];
    wifi.powersave = systemState.wifi.powersave or true;
    timezone = systemState.timezone or "UTC";
    features = {
      fingerprint = systemState.features.fingerprint or false;
      fido2 = systemState.features.fido2 or false;
      hybridGPU = systemState.features.hybridGPU or false;
      makima = systemState.features.makima or false;
    };
    theme = systemState.theme or "nord";
  };
}
